chmlib (2:0.40a-7) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entry 2:0.39-6.

  [ Kartik Mistry ]
  * debian/rules:
    + Fixed FLAGS.

 -- Kartik Mistry <kartik@debian.org>  Wed, 08 Jul 2020 12:28:10 +0530

chmlib (2:0.40a-6) unstable; urgency=low

  * Added debian/gitlab-ci.yml.
  * debian/control:
    + Updated Standards-Version to 4.5.0
    + Switched to debhelper-compat.
    + Added '+Rules-Requires-Root' field.
  * debian/rules:
    + Use dh sequence.
    + Do not include broken zip files in examples.

 -- Kartik Mistry <kartik@debian.org>  Sat, 09 May 2020 11:17:02 +0530

chmlib (2:0.40a-5) unstable; urgency=low

  [ Ondřej Nový ]
  * debian/copyright:
    + Use https protocol in Format field.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Standards-Version to 4.2.1
    + Updated Homepage.
    + libchm-bin should not be in libdevel as it contains binaries
      only (test programs).
  * debian/symbols:
    + Added Build-Depends-Package field.

 -- Kartik Mistry <kartik@debian.org>  Tue, 04 Dec 2018 14:08:26 +0530

chmlib (2:0.40a-4) unstable; urgency=low

  * debian/control:
    + Updated debhelper dependency to 11.
    + Removed build-depends on dh-autoreconf.
    + Updated to Standards-Version 4.1.3
    + Updated Vcs-* URLs.
  * debian/copyright:
    + Updated to DEP-5 copyright format.
  * debian/rules:
    + Added hardening support.

 -- Kartik Mistry <kartik@debian.org>  Tue, 16 Jan 2018 17:04:42 +0530

chmlib (2:0.40a-3) unstable; urgency=medium

  * debian/control:
    + Updated Standards-Version to 3.9.5
    + Added VCS-* URLs.
  * Use dh-autoreconf instead of autotools-dev (Closes: #733080).
    Thanks to Logan Rosen <logan@ubuntu.com> for patch.

 -- Kartik Mistry <kartik@debian.org>  Sun, 29 Dec 2013 19:25:28 +0530

chmlib (2:0.40a-2) unstable; urgency=low

  * debian/rules:
    + Enabled hardened build flags, Thanks to Moritz Muehlenhoff
      <jmm@debian.org> for patch. (Closes: #653955)
  * debian/copyright:
    + Fixed DEP5 URL.
    + Updated debian/* copyright year.

 -- Kartik Mistry <kartik@debian.org>  Mon, 02 Jan 2012 10:39:18 +0530

chmlib (2:0.40a-1) unstable; urgency=low

  * New upstream release:
    + Dropped all patches, merged upstream.
  * debian/copyright:
    + Updated to DEP-5 format.
  * debian/rules:
    + Added needed build targets.
  * debian/control:
    + Updated to Standards-Version 3.9.2.
    + Removed old conflicted version as they are no longer in Debian.

 -- Kartik Mistry <kartik@debian.org>  Mon, 21 Nov 2011 19:38:26 +0530

chmlib (2:0.40-3) unstable; urgency=low

  * debian/source/format:
    + Use source format 3.0 (quilt)
  * debian/control:
    + Updated to Standards-Version 3.8.4
    + Wrapped up long description
  * debian/copyright:
    + Updated as per DEP-5 specifications
    + Added Debian package copyright

 -- Kartik Mistry <kartik@debian.org>  Wed, 19 May 2010 08:33:30 +0530

chmlib (2:0.40-2) unstable; urgency=low

  * Removal of .la and .a files as part of release goal
  * debian/control:
    + Updated to Standards-Version 3.8.3
    + Wrapped Build-Depends
  * debian/libchm-dev.install:
    + Do not install.la and .a files in package
  * Added debian/README.source file

 -- Kartik Mistry <kartik@debian.org>  Tue, 25 Aug 2009 16:37:22 +0530

chmlib (2:0.40-1) unstable; urgency=low

  * New upstream release (Closes: #532571)
    + Fixed bashism in /bin/sh scripts (Closes: #530116)
    + Fixed chm_http craches due to segmentation fault on massive
      fetching (Closes: #449209)
  * debian/control:
    + Updated to Standards-Version 3.8.2 (no changes needed)
  * debian/copyright:
    + Removed versionless symlink to license texts
  * debian/patches/src_Makefile.in.diff:
    + Updated for new version

 -- Kartik Mistry <kartik@debian.org>  Wed, 01 Jul 2009 14:33:30 +0530

chmlib (2:0.39-10) unstable; urgency=low

  * debian/control:
    + Updated my email address
    + Updated to Standards-Version 3.8.0 (no changes needed)
  * debian/:
    + [Lintian] Added symbols control file

 -- Kartik Mistry <kartik@debian.org>  Mon, 11 Aug 2008 11:58:52 +0530

chmlib (2:0.39-9) unstable; urgency=low

  * debian/rules:
    + Fixed FTBFS when converted to new source format quilt 3.0 by
      placing config.guess/config.sub section before ./configure call
      (Closes: #482725)

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 27 May 2008 15:07:28 +0530

chmlib (2:0.39-8) unstable; urgency=high

  * Urgency set to high due to RC bug fix
  * debian/copyright:
    + Corrected license of package (LGPL-2+) and added src/lzx.* files
      license (GPL-2+) separately (Closes: #479649)
  * debian/libchm1.docs:
    + Added AUTHORS file in list

 -- Kartik Mistry <kartik.mistry@gmail.com>  Tue, 06 May 2008 09:21:28 +0530

chmlib (2:0.39-7) unstable; urgency=low

  * Moved previously applied patches to debian/patches using quilt
  * debian/control:
    + Added quilt support
    + Updated Homepage entry
    + Updated Standards-Version to 3.7.3 (no changes needed)
    + Fixed typo of 'Microsoft', Thanks to Miguel Gea Milvaques
      <xerakko@debian.org> for pointing
  * debian/rules:
    + Added line to use verbose mode
    + Added quilt support
    + Don't ignore errors in clean rule by removing -i from distclean
  * debian/copyright:
    + Updated link of license to GPL-2
  * debian/changelog:
    + Fixed typo of 'package' from previous upload changelog

 -- Kartik Mistry <kartik.mistry@gmail.com>  Fri, 08 Feb 2008 17:28:33 +0530

chmlib (2:0.39-6) unstable; urgency=low

  * Reverted libchm-bin package to real package from trasitional package,
    as test programs are useful in other way, Thanks to Paul Wise
    <pabs@debian.org> for pointing out
  * debian/control: moved homepage to real control field
  * Added debian/watch file
  * debian/rules: intended configure flags, changes related to libchm-bin
    package
  * debian/copyright: moved copyright out of license section

 -- Kartik Mistry <kartik.mistry@gmail.com>  Wed, 14 Nov 2007 17:14:45 +0530

chmlib (2:0.39-5) unstable; urgency=low

  * Improved all manpages, Thanks to Mohammed Adnène Trojette <adn+deb@diwi.org>
    for tips and patch
  * debian/rules: minor cleanups, better clean target, provides upstream
    changelog now using NEWS file
  * debian/copyright: text formatted to 80 chars
  * debian/control: added hompage to long descriptions

 -- Kartik Mistry <kartik.mistry@gmail.com>  Mon, 30 Jul 2007 11:35:03 +0530

chmlib (2:0.39-4) unstable; urgency=low

  * New Maintainer (Closes: #416954, #416972)
  * debian/copyright: formatted to standard copyright file
  * debian/control: added ${misc:Depends}, minor cleanups, made description
    meaningful shorter
  * Updated debhelper compability to 5
  * debian/rules: minor cleanups, config.guess/config.sub need to be present
    in .diff.gz
  * Merged libchm-bin into libchm-dev since separate dedicated package only for
    testing is not good idea
  * Added libchm-bin as a transition package
  * All manpages are now standard manpages, removed useless commented parts
  * debian/docs is prefixed now
  * Removed useless *.dirs files
  * Instead of moving files by hand using mv *.install is taking care now
  * Added libchm-dev.manpages to make debian/rules simple

 -- Kartik Mistry <kartik.mistry@gmail.com>  Sat, 07 Apr 2007 14:15:55 +0530

chmlib (2:0.39-3) unstable; urgency=low

  * Orphan package

 -- Julien Lemoine <speedblue@debian.org>  Sat, 31 Mar 2007 19:42:55 +0200

chmlib (2:0.39-2) unstable; urgency=low

  * Applied patch from Paul Wise to extract_chmLib to make it know
    the difference between empty files and directories inside a chm file.
    (Closes: #409439)

 -- Julien Lemoine <speedblue@debian.org>  Sat,  3 Feb 2007 10:57:25 +0100

chmlib (2:0.39-1) unstable; urgency=high

  * New upstream release, fixed unsafe alloca() call (Closes: #408603)

 -- Julien Lemoine <speedblue@debian.org>  Sat, 27 Jan 2007 21:00:41 +0100

chmlib (0.380-2) unstable; urgency=low

  * Include patch of 0.38-3 reverted by error in upload of chmlib 0.380-1 :
    Fixed typo in debian/rules file :
    binaries were installed in /usr/bin/bin instead of /usr/bin in libchm-bin
    package (Closes: #383915)

 -- Julien Lemoine <speedblue@debian.org>  Mon, 28 Aug 2006 20:42:27 +0200

chmlib (0.380-1) unstable; urgency=low

  * Fixed lintian warning : removed .svn directory from upstream sources

 -- Julien Lemoine <speedblue@debian.org>  Tue, 22 Aug 2006 13:47:10 +0200

chmlib (0.38-2) unstable; urgency=low

  * Fixed build failure (missing /bin in debian/rules)
    (Closes: #382068)

 -- Julien Lemoine <speedblue@debian.org>  Tue,  8 Aug 2006 19:53:20 +0200

chmlib (0.38-1) unstable; urgency=high

  * New upstream release (Closes: #374085)

 -- Julien Lemoine <speedblue@debian.org>  Tue, 20 Jun 2006 12:15:35 +0200

chmlib (0.37-2) unstable; urgency=low

  * Fixes build failure (wrong libpath. Closes: #336653)

 -- Julien Lemoine <speedblue@debian.org>  Mon, 31 Oct 2005 21:30:14 +0100

chmlib (0.37-1) unstable; urgency=high

  * New upstream release (Fixes buffer overflow. Closes: #335931)

 -- Julien Lemoine <speedblue@debian.org>  Mon, 31 Oct 2005 11:33:24 +0100

chmlib (0.36-4) unstable; urgency=low

  * Fixed shlib version number (Closes: #335394)
  * Changed version of packages (libchm1 instead of chmlib and
    libchm-dev instead of chmlib-dev)

 -- Julien Lemoine <speedblue@debian.org>  Mon, 24 Oct 2005 18:40:22 +0200

chmlib (0.36-3) unstable; urgency=low

  * Added conflict on xchm <= 1.2.0-2
    (Closes: #332740)

 -- Julien Lemoine <speedblue@debian.org>  Sun,  9 Oct 2005 21:29:45 +0200

chmlib (0.36-2) unstable; urgency=low

  * Changed soname of library (0.0.0 -> 1.0.0)
    (Closes: #332728)

 -- Julien Lemoine <speedblue@debian.org>  Sat,  8 Oct 2005 10:33:39 +0200

chmlib (0.36-1) unstable; urgency=low

  * New upstream release

 -- Julien Lemoine <speedblue@debian.org>  Fri,  9 Sep 2005 20:29:36 +0200

chmlib (0.35-7) unstable; urgency=low

  * Fixed problem with empty string in ${misc:Depends}
    Thanks to Aaron M. Ucko <ucko@debian.org>
    (Closes: #317161)

 -- Julien Lemoine <speedblue@debian.org>  Wed,  6 Jul 2005 21:06:52 +0200

chmlib (0.35-6) unstable; urgency=low

  * Removed uint_t patch in chm_lib.c because it does not work on
    amd64, use upstream types (Closes: #301879)

 -- Julien Lemoine <speedblue@debian.org>  Tue, 29 Mar 2005 20:44:11 +0200

chmlib (0.35-5) unstable; urgency=low

  * Add examples source code in -dev package (Closes: #272871)

 -- Julien Lemoine <speedblue@debian.org>  Wed, 22 Sep 2004 22:33:33 +0200

chmlib (0.35-4) unstable; urgency=low

  * Added a -L. to allow compilation of example without chmlib installed
    (Closes: #258011)

 -- Julien Lemoine <speedblue@debian.org>  Sun, 11 Jul 2004 22:43:31 +0200

chmlib (0.35-3) unstable; urgency=low

  * Fixed integer types problem (Thanks to
    Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de> for his help)
    (Closes: #258444)

 -- Julien Lemoine <speedblue@debian.org>  Sun, 11 Jul 2004 14:50:25 +0200

chmlib (0.35-2) unstable; urgency=low

  * Fixed compilation failure on non i386 architecture
    (Closes: #258444)

 -- Julien Lemoine <speedblue@debian.org>  Fri,  9 Jul 2004 22:20:13 +0200

chmlib (0.35-1) unstable; urgency=low

  * New upstream release
    UTF-8 filename, first support, not yet full supported (Closes: #252612)

 -- Julien Lemoine <speedblue@debian.org>  Tue, 29 Jun 2004 22:58:07 +0200

chmlib (0.33-4) unstable; urgency=low

  * Added man pages for binaries in chmlib-bin package (Closes: #252815)
    Thanks to "Benjamin Cutler" <cutlerbc@simla.colostate.edu> for
    his contribution

 -- Julien Lemoine <speedblue@debian.org>  Sat,  5 Jun 2004 16:08:34 +0200

chmlib (0.33-3) unstable; urgency=low

  * Fixed portability errors (UInt64 were defined only for i386)

 -- Julien Lemoine <speedblue@debian.org>  Thu,  3 Jun 2004 23:38:18 +0200

chmlib (0.33-2) unstable; urgency=low

  * Fixed FTBFS (Closes: #251504)

 -- Julien Lemoine <speedblue@debian.org>  Fri, 28 May 2004 21:57:55 +0200

chmlib (0.33-1) unstable; urgency=low

  * New upstream release (Closes: #250283)

 -- Julien Lemoine <speedblue@debian.org>  Fri, 28 May 2004 20:31:17 +0200

chmlib (0.31-6) unstable; urgency=low

  * Added patch from  pabs@zip.to to fix error with empty files
    (identifies them as directories) (Closes: #246777)
  * Added test programs in chmlib-bin package (Closes: #244879)

 -- Julien Lemoine <speedblue@debian.org>  Sun,  9 May 2004 03:18:55 +0200

chmlib (0.31-5) unstable; urgency=low

  * Added description of CHM format in description
    (Thanks to Pabs <pabs@zip.to>)
    (Closes: #238720)

 -- Julien Lemoine <speedblue@debian.org>  Wed,  7 Apr 2004 22:34:19 +0200

chmlib (0.31-4) unstable; urgency=low

  * added __GNUC__ on ifdef, this will allow compilation on all debian archs
    (Closes: #238218)

 -- Julien Lemoine <speedblue@debian.org>  Wed, 17 Mar 2004 00:07:02 +0100

chmlib (0.31-3) unstable; urgency=low

  * Changed section from libs to libdevel

 -- Julien Lemoine <speedblue@debian.org>  Fri, 12 Mar 2004 00:27:27 +0100

chmlib (0.31-2) unstable; urgency=low

  * Added build-depends on libtool

 -- Julien Lemoine <speedblue@debian.org>  Fri, 12 Mar 2004 00:09:43 +0100

chmlib (0.31-1) unstable; urgency=low

  * Initial Release for debian pool.
  * Patched makefile to allow use of new libtool version

 -- Julien Lemoine <speedblue@debian.org>  Sat, 28 Feb 2004 18:55:36 +0100
